summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJingLu5 <lvjing5@huawei.com>2017-03-23 07:53:10 +0000
committerJing Lu <lvjing5@huawei.com>2017-03-28 03:31:35 +0000
commitaf004096fa17c9e29c663fc013228a9c82bd174d (patch)
treeb939cc80c2b91f5fda2c71f94f28bd35eec840e7
parentfd51e9fe3f4c31be2cfd541f23c3bb5a7ba08291 (diff)
Bugfix:add storperf flavor for TC074
JIRA: YARDSTICK-604 the storperf container now uses a flavor called "storperf", if this flavor is absent, stack creating process will fail. also the openstack variables that passed to the storperf container also needs a update Change-Id: Iab4be6491cc9b24526948e5571f0476ec885a93d Signed-off-by: JingLu5 <lvjing5@huawei.com> (cherry picked from commit 0691766d310e00d7f1cec763427db271076b5633)
-rw-r--r--samples/storperf.yaml2
-rwxr-xr-xtests/ci/clean_images.sh1
-rwxr-xr-xtests/ci/load_images.sh9
-rwxr-xr-xtests/ci/prepare_storperf_admin-rc.sh12
4 files changed, 18 insertions, 6 deletions
diff --git a/samples/storperf.yaml b/samples/storperf.yaml
index 5848512ed..d8641fc0c 100644
--- a/samples/storperf.yaml
+++ b/samples/storperf.yaml
@@ -17,7 +17,7 @@ scenarios:
type: StorPerf
options:
agent_count: 1
- agent_image: "Ubuntu 14.04"
+ agent_image: "Ubuntu-14.04"
public_network: "ext-net"
volume_size: 2
# target:
diff --git a/tests/ci/clean_images.sh b/tests/ci/clean_images.sh
index 3579909c5..2d0db83bd 100755
--- a/tests/ci/clean_images.sh
+++ b/tests/ci/clean_images.sh
@@ -26,6 +26,7 @@ cleanup()
done
openstack flavor delete yardstick-flavor &> /dev/null || true
+ openstack flavor delete storperf &> /dev/null || true
}
main()
diff --git a/tests/ci/load_images.sh b/tests/ci/load_images.sh
index a326458a9..7f929bdc4 100755
--- a/tests/ci/load_images.sh
+++ b/tests/ci/load_images.sh
@@ -215,7 +215,7 @@ create_nova_flavor()
{
if ! openstack flavor list | grep -q yardstick-flavor; then
echo
- echo "========== Create nova flavor =========="
+ echo "========== Creating yardstick-flavor =========="
# Create the nova flavor used by some sample test cases
openstack flavor create --id 100 --ram 512 --disk 3 --vcpus 1 yardstick-flavor
# DPDK-enabled OVS requires guest memory to be backed by large pages
@@ -227,6 +227,13 @@ create_nova_flavor()
openstack flavor set --property hw:mem_page_size=large yardstick-flavor
fi
fi
+
+ if ! openstack flavor list | grep -q storperf; then
+ echo
+ echo "========== Creating storperf flavor =========="
+ # Create the nova flavor used by storperf test case
+ openstack flavor create --id auto --ram 8192 --disk 4 --vcpus 2 storperf
+ fi
}
main()
diff --git a/tests/ci/prepare_storperf_admin-rc.sh b/tests/ci/prepare_storperf_admin-rc.sh
index b3dc2e58e..a6cf97bef 100755
--- a/tests/ci/prepare_storperf_admin-rc.sh
+++ b/tests/ci/prepare_storperf_admin-rc.sh
@@ -14,10 +14,13 @@
AUTH_URL=${OS_AUTH_URL}
USERNAME=${OS_USERNAME:-admin}
PASSWORD=${OS_PASSWORD:-console}
+
TENANT_NAME=${OS_TENANT_NAME:-admin}
-VOLUME_API_VERSION=${OS_VOLUME_API_VERSION:-2}
-PROJECT_NAME=${OS_PROJECT_NAME:-$TENANT_NAME}
TENANT_ID=`openstack project show admin|grep '\bid\b' |awk -F '|' '{print $3}'|sed -e 's/^[[:space:]]*//'`
+PROJECT_NAME=${OS_PROJECT_NAME:-$TENANT_NAME}
+PROJECT_ID=`openstack project show admin|grep '\bid\b' |awk -F '|' '{print $3}'|sed -e 's/^[[:space:]]*//'`
+
+USER_DOMAIN_ID=${OS_USER_DOMAIN_ID:-default}
rm -f ~/storperf_admin-rc
touch ~/storperf_admin-rc
@@ -25,7 +28,8 @@ touch ~/storperf_admin-rc
echo "OS_AUTH_URL="$AUTH_URL >> ~/storperf_admin-rc
echo "OS_USERNAME="$USERNAME >> ~/storperf_admin-rc
echo "OS_PASSWORD="$PASSWORD >> ~/storperf_admin-rc
-echo "OS_TENANT_NAME="$TENANT_NAME >> ~/storperf_admin-rc
-echo "OS_VOLUME_API_VERSION="$VOLUME_API_VERSION >> ~/storperf_admin-rc
echo "OS_PROJECT_NAME="$PROJECT_NAME >> ~/storperf_admin-rc
+echo "OS_PROJECT_ID="$PROJECT_ID >> ~/storperf_admin-rc
+echo "OS_TENANT_NAME="$TENANT_NAME >> ~/storperf_admin-rc
echo "OS_TENANT_ID="$TENANT_ID >> ~/storperf_admin-rc
+echo "OS_USER_DOMAIN_ID="$USER_DOMAIN_ID >> ~/storperf_admin-rc